@ push(echos %WÍ%nÍ%KÍ%n %K[%n|%K]%n %Wú%nú%Kú%n %K:%n:%W>%n %W‘%n‘%K‘%n %Wú%nù%K.%n %nÍ%cÍ%KÍ%n %K-%cÄ%W-%n %Kú%c-%nÄ %Wð%nð%Kð%n %K[%cí%K]%n %K.%n.%W.%n %W>%n>%K>%n %Kö%Cð%Kö%n %Rù%Wí%Rù%n %Kú%nù%W:%n %W,%nù%Kú%n %Kú%nú%cú%n %K[%cò%K]%n %Kù%nù%Wù%n %K-%nÄ%WÍ%n %KÛ%nÛ%WÛ%n %KÄ%nÄ%W+%n %K.%c%%%K.%n %Kù%B+%Kù%n %nê%cê%Kê%n)

@ echo = 1

alias echostr if (![$0]) {
  ^local e.
  echo $box.head()
  echo $box.echo_head(echo strings$(c.hk): $(c.lm)\($(cl)use /echostr # to switch.$(c.lm)\)$(cl))
  for (@e.i=0,e.i<#echos,@e.i=e.i+8) {
    echo $box.echo($fecho($e.i)$fecho(${e.i+1})$fecho(${e.i+2})$fecho(${e.i+3})$fecho(${e.i+4})$fecho(${e.i+5})$fecho(${e.i+6})$fecho(${e.i+7}))}
  echo $box.echo(echo string is currently $(c.lm)\($(cl)$echo$(c.lm)\)$(c.hk)..$(cl))
  echo $box.footer()} elsif ([$0] < 1 || [$0] > #echos) {
  ge error: number is out of range.  use /echostr to list.} else {
  @ echo = [$0]
  fixecho
  ge echo string now set to $(c.lm)\($(cl)$echo$(c.lm)\)$(cl).}

alias fecho {
  @ function_return = word($0 $echos) ? [$(c.hk)\[$(c.hw)$[-2]rs(${[$0] + 1})$(c.hk)\] $(cl)$cparse($word($0 $echos)) ] :}

alias fixecho {
  @ G = cparse($word(${echo - 1} $echos))
  ^set show_numerics_str $G}
